FSTLookupFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.spelling.suggest.fst.FSTLookupFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.spelling.suggest.fst
Class FSTLookupFactory

    java.lang.Object
      org.apache.solr.spelling.suggest.LookupFactory
          org.apache.solr.spelling.suggest.fst.FSTLookupFactory

    public class FSTLookupFactory

extends LookupFactory

Factory for `FSTCompletionLookup`

Field Summary
`static String` | `EXACT_MATCH_FIRST` If `true`, exact suggestions are returned first, even if they are prefixes of other strings in the automaton (possibly with larger weights).
`static String` | `WEIGHT_BUCKETS` The number of separate buckets for weights (discretization).

Constructor Summary
`FSTLookupFactory()`

Method Summary
`Lookup` | `create(NamedList params, SolrCore core)`
`String` | `storeFileName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WEIGHT_BUCKETS

    public static final String WEIGHT_BUCKETS

  The number of separate buckets for weights (discretization). The more buckets, the more fine-grained term weights (priorities) can be assigned. The speed of lookup will not decrease for prefixes which have highly-weighted completions (because these are filled-in first), but will decrease significantly for low-weighted terms (but these should be infrequent, so it is all right).

  The number of buckets must be within [1, 255] range.

  See Also:
    Constant Field Values

### EXACT_MATCH_FIRST

    public static final String EXACT_MATCH_FIRST

  If `true`, exact suggestions are returned first, even if they are prefixes of other strings in the automaton (possibly with larger weights).

  See Also:
    Constant Field Values

Constructor Detail

### FSTLookupFactory

    public FSTLookupFactory()

Method Detail

### create

    public Lookup create(NamedList params,
                         SolrCore core)

  Specified by:
    `create` in class `LookupFactory`

### storeFileName

    public String storeFileName()

  Specified by:
    `storeFileName` in class `LookupFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD